var setting = {
    check: {
            enable: true,
            chkboxType: { "Y": "s", "N": "p" } /* If parent is check, auto check child; if child is unchecked auto check parent*/
    },
    data: {
            simpleData: {
                    enable: true
                    
            }
    },
	callback: {		
				onClick: onClick,
				onCheck: zTreeOnCheck
			}
};
var zNodes =[
{ id:1, pId:0, name:"pNode 1", open:true},
{ id:11, pId:1, name:"pNode 11"},
{ id:111, pId:11, name:"leaf node 111"},
{ id:112, pId:11, name:"leaf node 112"},
{ id:113, pId:11, name:"leaf node 113"},
{ id:114, pId:11, name:"leaf node 114"},
{ id:12, pId:1, name:"pNode 12"},
{ id:121, pId:12, name:"leaf node 121"},
{ id:122, pId:12, name:"leaf node 122"},
{ id:123, pId:12, name:"leaf node 123"},
{ id:124, pId:12, name:"leaf node 124"},
{ id:13, pId:1, name:"pNode 13 - no child", isParent:true},
{ id:2, pId:0, name:"pNode 2"},
{ id:21, pId:2, name:"pNode 21", open:true},
{ id:211, pId:21, name:"leaf node 211"},
{ id:212, pId:21, name:"leaf node 212"},
{ id:213, pId:21, name:"leaf node 213"},
{ id:214, pId:21, name:"leaf node 214"},
{ id:22, pId:2, name:"pNode 22"},
{ id:221, pId:22, name:"leaf node 221"},
{ id:222, pId:22, name:"leaf node 222"},
{ id:223, pId:22, name:"leaf node 223"},
{ id:224, pId:22, name:"leaf node 224"},
{ id:23, pId:2, name:"pNode 23"},
{ id:231, pId:23, name:"leaf node 231"},
{ id:232, pId:23, name:"leaf node 232"},
{ id:233, pId:23, name:"leaf node 233"},
{ id:234, pId:23, name:"leaf node 234"},
{ id:3, pId:0, name:"pNode 3 - no child", isParent:true}
];
var data1= [
           {name:"Ashwini",pId:0,itemType:"customer",id:1},
           {itemType:"vehicle",pId:1,name:"6001-Asset",open:true,id:55555},
           {itemType:"vehicle",pId:1,name:"adasd",open:true,id:211425},
           {itemType:"vehicle",pId:1,name:"test_cobon",open:true,id:7894561230},
           {itemType:"vehicle",pId:1,name:"test_hk",open:true,id:9762140039},
           {name:"infoways",pId:840,itemType:"customer",id:786},
           {name:"ashwini",pId:840,itemType:"customer",id:821},
           {name:"harshal",pId:840,itemType:"customer",id:890},
           {itemType:"vehicle",pId:786,"name":"MP-28-TA-0829",open:true,id:007219002512},
           {itemType:"vehicle",pId:786,name:"MP-28-TA-0833","open":true,id:007758996348},
           {itemType:"vehicle",pId:786,name:"MH40AK3165","open":true,id:007755940432},
           {itemType:"vehicle",pId:786,"name":"MH 31 CQ 6924","open":true,id:007219809368},
           {itemType:"vehicle",pId:786,"name":"MH 31 CQ 6922","open":true,id:007219809369},
           {itemType:"vehicle",pId:786,"name":"MH 31 EN 0536","open":true,id:007219809362}
       ];
            
           

var tree = false;
var currentNodes = {};

$(document).ready(function() {

    $.ajax({
            url: "http://63.142.252.191/vts/index.php/tree_view/customer_tree/",
            type: "POST"
    }).done(function(data){
        
                $('#tree_loader').html('');
                tree = $.fn.zTree.init($("#customerTree"), setting, data);
                tree = $.fn.zTree.getZTreeObj("customerTree");
    }).fail(function(jqXHR){
            $('#tree_loader').html('<font color="red">Unable to load.</font>');//jqXHR.responseText);
    });

});

function onClick(event, treeId, treeNode, clickFlag) {
	console.info(treeNode.id);	
	localDataInfo.setDivContent(treeNode.id)
	
	
}	
function zTreeOnCheck(event, treeId, treeNode){
	 var nodes = tree.getCheckedNodes();
	 if( !nodes.length ){
		g_monitor = false;
		g_monitor_devices = [];
		globalFunc_removeAllMarker();
	 }else{
		 var selectVehicle = false;
			for(var i=0; i< nodes.length; i++){
				if(nodes[i].itemType == 'vehicle') {
					selectVehicle = true;
					break;
				}
			}
		if(!selectVehicle) {
			g_monitor = false;
			g_monitor_devices = [];
			globalFunc_removeAllMarker();
		}else{
			g_monitor = true;
			g_monitor_devices = [];
			for(var i=0; i < nodes.length; i++)
			{
				g_monitor_devices.push(nodes[i].id)
			}
			localDataInfo.selectedIndex = [];
			for(var i=0; i< nodes.length; i++){

				if(nodes[i].itemType == 'vehicle') {
					localDataInfo.checkboxClick(true, nodes[i].id);
				}
			}
			localDataInfo.getData_FromSQL();
			localDataInfo.setCenterPoint();
		}
	 }
}